%{!?fedora: %global sbinpath /sbin}%{?fedora: %global sbinpath %{_sbindir}}

Name:		oracle-instantclient-selinux
Version:	10.2.0.19
Release:	5%{?dist}
Summary:	SELinux support for Oracle Instant Client
Group:		System Environment/Base
License:	GPLv2+
# This src.rpm is canonical upstream.
# You can obtain it using this set of commands
# git clone git://git.fedorahosted.org/git/spacewalk.git/
# cd spacewalk
# make srpm TAG=%{name}-%{version}-%{release}
URL:		http://fedorahosted.org/spacewalk
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires(post):	/usr/sbin/semanage, /sbin/restorecon, /usr/sbin/selinuxenabled
Requires(postun):	/usr/sbin/semanage, /sbin/restorecon
Requires:	oracle-instantclient-basic
Requires:	oracle-nofcontext-selinux

%description
SELinux support for Oracle Instant Client.

%package -n oracle-instantclient-sqlplus-selinux
Summary:	SELinux support for Oracle Instant Client sqlplus
Group:		System Environment/Base
Requires:	oracle-instantclient-sqlplus
Requires:	oracle-nofcontext-selinux
Requires(post):	/usr/sbin/semanage, %{sbinpath}/restorecon, /usr/sbin/selinuxenabled
Requires(postun):	/usr/sbin/semanage, %{sbinpath}/restorecon

%description -n oracle-instantclient-sqlplus-selinux
SELinux support for Oracle Instant Client sqlplus.

%prep

%build

%define used_libs libocci.so.10.1 libclntsh.so.10.1 libnnz10.so libociei.so libocijdbc10.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{rhnroot}
install -d %{buildroot}%{_sbindir}

cat <<'EOS' > %{buildroot}%{_sbindir}/%{name}-enable
#!/bin/bash

for i in %used_libs ; do
	/usr/sbin/semanage fcontext -a -t textrel_shlib_t '/usr/lib/oracle/10\.2\..*/client.*/lib/'${i//./\\.}
done
/sbin/restorecon -Rvv /usr/lib/oracle/10.2.*/client* || :

EOS

cat <<'EOS' > %{buildroot}%{_sbindir}/oracle-instantclient-sqlplus-selinux-enable
#!/bin/bash

/usr/sbin/semanage fcontext -a -t oracle_sqlplus_exec_t '/usr/lib/oracle/10\.2\..*/client.*/bin/sqlplus'
/usr/sbin/semanage fcontext -a -t textrel_shlib_t '/usr/lib/oracle/10\.2\..*/client.*/lib/libsqlplus\.so'
/usr/sbin/semanage fcontext -a -t textrel_shlib_t '/usr/lib/oracle/10\.2\..*/client.*/lib/libsqlplusic\.so'
/sbin/restorecon -Rvv /usr/lib/oracle/10.2.*/client* || :

EOS

%clean
rm -rf $RPM_BUILD_ROOT

%post
if /usr/sbin/selinuxenabled ; then
   %{_sbindir}/%{name}-enable
fi

%posttrans
#this may be safely remove when BZ 505066 is fixed
if /usr/sbin/selinuxenabled ; then
	/sbin/restorecon -Rvv /usr/lib/oracle/10.2.*/client* || :
fi

%postun
if [ $1 -eq 0 ]; then
	for i in %used_libs ; do
		/usr/sbin/semanage fcontext -d -t textrel_shlib_t '/usr/lib/oracle/10\.2\..*/client.*/lib/'${i//./\\.}
	done
	/sbin/restorecon -Rvv /usr/lib/oracle/10.2.*/client* || :
fi

%post -n oracle-instantclient-sqlplus-selinux
if /usr/sbin/selinuxenabled ; then
   %{_sbindir}/oracle-instantclient-sqlplus-selinux-enable
fi

%posttrans -n oracle-instantclient-sqlplus-selinux
#this may be safely remove when BZ 505066 is fixed
if /usr/sbin/selinuxenabled ; then
	/sbin/restorecon -Rvv /usr/lib/oracle/10.2.*/client* || :
fi

%postun -n oracle-instantclient-sqlplus-selinux
if [ $1 -eq 0 ]; then
	/usr/sbin/semanage fcontext -d -t oracle_sqlplus_exec_t '/usr/lib/oracle/10\.2\..*/client.*/bin/sqlplus'
	/usr/sbin/semanage fcontext -d -t textrel_shlib_t '/usr/lib/oracle/10\.2\..*/client.*/lib/libsqlplus\.so'
	/sbin/restorecon -Rvv /usr/lib/oracle/10.2.*/client* || :
fi

%files
%attr(0755,root,root) %{_sbindir}/%{name}-enable

%files -n oracle-instantclient-sqlplus-selinux
%attr(0755,root,root) %{_sbindir}/oracle-instantclient-sqlplus-selinux-enable

%changelog
* Thu Jul 25 2013 Tomas Lestach <tlestach@redhat.com> 10.2.0.19-5
- we use oracle instantclient 10g

* Thu Jul 25 2013 Tomas Lestach <tlestach@redhat.com>
- we use oracle instantclient 10g

* Thu Sep 23 2010 Michael Mraka <michael.mraka@redhat.com> 10.2.0.19-2
- switched to default VersionTagger

* Fri Jul 16 2010 Michael Mraka <michael.mraka@redhat.com> 10.2-18
- fixed libsqlplusic.so on 32bit
- libocijdbc10 is used by jdbc:oci

